Status: En cours Start date: 03/06/2019
Priority: Normal Due date:
Assignee: Etienne Pallier % Done: 40%
Category: Estimated time: 0.00 hour
Target version: Version 0.30 - Restructuring with src/core/ and src/devices/Spent time: 0.00 hour
Description

Sous-classe de Agent dédiée au pilotage d'un device

- device status : communication permanente avec device (update DB régulièrement)

- device specific cmd : communication ponctuelle avec device pour lui envoyer une commande spécifique (demandée par un autre
agent)

=> partir de l'existant dans pyros-django (pas totalement from scratch)

agentAlert en est un, il reste en comm avec le GCN

Doit lancer un thread pour communiquer avec un device (update status en BD)

Doit pouvoir relancer ce thread si planté

Communique avec le device même quand il est IDLE

2 modes idle différents ? un mode où on fait rien (IDLE_total), un mode où on communique quand même avec device (IDLE_partial)
Device arrêté doit pas bloquer AgentDevice

Met à jour la BD avec status du device
Reçoit aussi commandes spécifiques des autres agents

History
#1 - 03/06/2019 12:43 pm - Etienne Pallier
- Subject changed from AgentDevice to ((T)) AgentDevice

#2 - 03/07/2019 02:53 pm - Etienne Pallier
- Description updated

#3 - 06/11/2019 03:37 pm - Etienne Pallier
- Target version set to Version 0.30 - Restructuring with src/core/ and src/devices/

#4 - 06/11/2019 03:37 pm - Etienne Pallier
- Status changed from Nouveau to En cours

#5 - 06/11/2019 03:38 pm - Etienne Pallier
- % Done changed from 30 to 40
